clear all
close all
clc

format long
%画曲线
xx=[-10:0.01:10];
y=@(x)0+x+x.^2/2+x.^3/6+x.^4/24;
%y=@(x)x.*exp(x)-1;
plot(xx,y(xx),'r',xx,0,'b')

x0=fzero(y,-4);%利用matlab自带函数求单变量函数的根
hold on
plot(x0,0,'ko')
hold off
fprintf('Matlab求得的方程的根为'),x0
fprintf('x1处函数值为'),y(x0)
